---
search:
  tags:
    - Broadcasts
    - GET
seo:
  description: >-
    Newest first, with cursor pagination: after takes the last id of a page and
    pages toward… Reference for the GET /broadcasts endpoint in the BillionSend
    API.
sidebar:
  label: List broadcasts
  badge: GET
title: List broadcasts
type: openapi-operation
---
Newest first, with cursor pagination: `after` takes the last id of a page and pages toward older items, `before` takes the first id and pages back toward newer ones.

`GET /broadcasts`

**Responses**

- `200` — Broadcasts
- `401` — Missing, malformed, unknown or revoked API key
- `422` — Validation error
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c",
      "status": "string",
      "created_at": "string",
      "scheduled_at": "string",
      "sent_at": "string",
      "failure_reason": "domain_missing",
      "failed_at": "string",
      "sent_count": 0,
      "finishes_at": "string"
    }
  ],
  "has_more": true
}
```
